Subject: bug#9336: 24.0.50; No way to input character #xbb4 using ta-itrans

From: Jambunathan K <[email-masked]>
Date: Thu, 15 Sep 2011 18:25:28 +0530

Kenichi Handa <[email-masked]> writes:

> In article <[email-masked]>, Jambunathan K
> <[email-masked]> writes:
>
>> Kenichi Handa <[email-masked]> writes:
>> > In article <[email-masked]>, Jambunathan K
>> > <[email-masked]> writes:
>> >
>>>> Using input method tamil-itrans, there is no easy way to input character
>>>> #xbb4.
>> >
>> > It seems that usually "J" or "z" is assigned for that
>> > character in the Tamil itrans system, right?
>> >
>> > If so, please try the attached patch.  Does it work?
>
>> The attached patch works fine.
>
> Thank you for testing it.  I'll commit that change soon.

>> I was trying tamil-itrans for the first time and I find quail-help to be
>> a bit overwhelming. There are lots of characters that is displayed and
>> it is difficult to find the one that I am interested in inputting. In
>> some sense it is very confusing for first time user.
>
>> I believe it would be lot more helpful if the input table for vowels and
>> consonants be displayed upfront. I am attaching a table that I created
>> for myself during the process. You will find that the characters are
>> displayed in their natural order.
>
> The current descriptions for *-itrans input methods are what
> generated automatically from the corresponding mapping
> table, so they may not be sufficient for users.  Thank you
> for the suggestion.  I'll add it to the description of
> tamil-itrans.  By the way, isn't it necessary to have a
> column for dependent vowels?  Or, is to obvious for users
> from independent vowels?

(Please refer pages 83 and 84 of the pdf file attached earlier)

It would be helpful to include the tables in the order given below. It
would be highly desirable that they are enumerated NOT in the unicode
order but in their natural order (i.e., the order in which we are taught
to recite these alphabets in our schools)

High Usage Characters
=====================

+ Independent Vowels Table + Aytham [1]

  This table will contain the 12 "Independent vowels" FOLLOWED BY the
  letter "Aytham" (0B83). The unicode order for these alphabets
  is the SAME as their natural order (leaving aside those marked reserved)

+ Consonants Table [2]

  This table will contain 18 of the characters listed under
  "Consonants". The unicode order for these is DIFFERENT from their
  natural order (leaving aside those marked reserved)

Some 2D-table representation similar to the one listed under "Unicode
Tamil Syllabary" in the below URL could be used.
"http://en.wikipedia.org/wiki/Tamil_alphabet#Tamil_in_Unicode"

If that is not aesthetically pleasing, then just listing the Row and
Column Labels should suffice. Particularly, I like the fact that the
Vertical Labels (the Row Labels) in the above table use the base form of
Consonants - (i.e., Consonant devoid of it's trailing vowel `a' which
is represented by a "dot" on top of tamil character- I believe this is
achieved by using TAMIL SIGN VIRAMA)

The above two tables plus an an illustration of how to enter tamil text
should suffice to get the point across to the user. So some suggestion
along the lines of:

"To enter வணக்கம் type vaNakkam"

(The word used above is the "HELLO" entry for Tamil)

Medium Usage
============

+ Grantha Letters [3]

  This table will contain the remaining 5 consonants + one compound
  alphabet designated with input method 'x'.

  - I see the letter 0BB6 as a rectangle. Not sure whether this is a bug
    in Emacs or my local installation.

  - I don't know how to enter the character - described as "common
    ligature 'Sri' (ஸ்ரீ Śrī)" - As the Wikipedia entry clearly says it is
    a commonly used character (equivalent to English "Sir/Madam").

    (See "Usage of other lingual consonants" section under previously
    referred to Wikipedia entry)

+ Various/Miscellaneous [4]
  - Not sure what these are called. I have just called it
    miscellaneuous.

+ Dependent Vowel Signs, Two-part dependent Vowel signs
  - I find it difficult to relate to these characters with their
    consonant component greyed out. These NEED NOT BE LISTED as part of
    the help text.

The tables listed below are mostly of interest to very niche users like
language scholars or for traditional uses like local calendars, marriage
invitations, temple festivals etc. They are not used by a layman for
day-to-day communication. In some sense they could be given low
priority. Honestly, speaking I have never used them in my 35 years of
existence. So I don't have any fixed opinions on these. Listing them
here merely for the sake of completion.

Nice/Rare Usage
===============

+ Digits and Numerics [5]

  - I find that I am unable to insert the following alphabets with M-x
    ucs-insert. TAB completion doesn't offer these characters (they are
    listed in the unicode table though)
    - TAMIL NUMBER TEN
    - TAMIL NUMBER ONE HUNDRED
    - TAMIL NUMBER ONE THOUSAND

    Also I find that I am unable to ucs-insert TAMIL DIGIT ZERO. I am
    not sure whether that is same the regular arabic/english `0'.

+ Tamil Symbols [6] (Tamil Symbols, Currency Symbol and Tamil Symbol)
  - When I ucs-insert them, I only see rectangular boxes. Not sure
    whether it is a problem with Emacs distribution or my local
    installation. Just curious, how can I display these characters
    within Emacs.

    Additional Note: Currency symbol is something that I personally
    recognize. May be it could be grouped under "Miscellaneous" table..

+ Reserved 
  - 0BE4, 0BE5 
    
  No idea what these characters are.
    
> ---
> Kenichi Handa
> [email-masked]

Footnotes:
[1]  Independent Vowels Table + Aytham (13 items)

0B85, அ, a
0B86, ஆ, A or aa
0B87, இ, i
0B88, ஈ, I or ii
0B89, உ, u
0B8A, ஊ, U or uu
0B8E, எ, e
0B8F, ஏ, E
0B90, ஐ, ai
0B92, ஒ, o
0B93, ஓ, O
0B94, ஔ, au
0B83, ஃ, H

[2]  Consonants Table (18 items)
0B95, க, ka
0B99, ங, N^a or ~Na
0B9A, ச, cha
0B9E, ஞ, JNa or ~na
0B9F, ட, Ta
0BA3, ண, Na
0BA4, த, ta
0BA8, ந, na
0BAA, ப, pa
0BAE, ம, ma
0BAF, ய, ya
0BB0, ர, ra
0BB2, ல, la
0BB5, வ, wa or va
0BB4, ழ,
0BB3, ள, La or lda
0BB1, ற, rha
0BA9, ன, nha

[3]  Grantha Letters (5 + 1 items)

0BB6, ஶ,  ???? 
0B9C, ஜ, ja   
0BB7, ஷ, Sha or shha
0BB8, ஸ, sa
0BB9, ஹ, ha
????, க்ஷ, x 

[4] Various (1 item)

0BD0, ௐ, 

[5] Digits and Numerics

0BE6, ௦௦௦௦, 
0BE7, ௧
0BE8, ௨
0BE9, ௩
0BEA, ௪
0BEB, ௫
0BEC, ௬
0BED, ௭
0BEE, ௮
0BEF, ௯
0BF0, 
0BF1, 
0BF2, 

[6] Tamil Symbols

0BF3, ௳
0BF4, ௴
0BF5, ௵
0BF6, ௶
0BF7, ௷
0BF8, ௸
0BF9, ௹
0BFA, ௺,